summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andy Bailey2010-10-25 04:27:37 +0200
committer Erik Hanson2010-10-25 14:55:11 +0200
commita19c42d298d1568ea25ff4c84de00f018544a183 (patch)
tree5fcb6e50863cde91eefb8883350df3f5629bde28
parentaab7d6402a473fbcbc95ecc14490fbb9454d1f09 (diff)
downloadslackbuilds-a19c42d298d1568ea25ff4c84de00f018544a183.tar.gz
system/aide: Added (Advanced Intrusion Detection Environment)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/aide/README8
-rw-r--r--system/aide/README.Slackware32
-rw-r--r--system/aide/aide.SlackBuild92
-rw-r--r--system/aide/aide.info10
-rw-r--r--system/aide/slack-desc19
5 files changed, 161 insertions, 0 deletions
diff --git a/system/aide/README b/system/aide/README
new file mode 100644
index 0000000000..0e376ff7b7
--- /dev/null
+++ b/system/aide/README
@@ -0,0 +1,8 @@
+AIDE is a tool for monitoring file system changes. It can be used
+to detect unauthorized monitored files and directories. AIDE was
+written to be a simple and free alternative to Tripwire.
+
+This package does not include a default aide.conf file, and it won't
+be useful until you write one.
+
+See README.Slackware for configuration hints.
diff --git a/system/aide/README.Slackware b/system/aide/README.Slackware
new file mode 100644
index 0000000000..7ae3bfbc90
--- /dev/null
+++ b/system/aide/README.Slackware
@@ -0,0 +1,32 @@
+I suggest that you start with the example below, use it for a few weeks,
+and tune it to accommodate your habits.
+
+The media containing your aide databases should be physically
+unmounted between scans. Alternatively, see /usr/doc/aide-$VERSION/contrib
+for some example scripts that will help you gpg sign your database, for
+online storage.
+
+=== /etc/aide.conf sample ===
+database=file:/mnt/usb/aide.db
+database_out=file:/mnt/usb/aide.db.new
+gzip_dbout=yes
+
+/etc/ld.so.cache p+ftype+l+u+g
+/etc/ntp/drift p+ftype+l+u+g
+
+/boot R
+/etc R
+/bin R
+/lib R
+/usr/lib R
+/usr/libexec R
+/usr/lib64 R
+/lib64 R
+/usr/bin R
+/usr/local/bin R
+/sbin R
+/usr/sbin R
+/usr/local/sbin R
+=/var/log R
+
+
diff --git a/system/aide/aide.SlackBuild b/system/aide/aide.SlackBuild
new file mode 100644
index 0000000000..327c6d71ff
--- /dev/null
+++ b/system/aide/aide.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for AIDE
+# Andy Bailey <bailey@akamai.com>
+
+PRGNAM=aide
+PKGVER=`basename $PRGNAM*tar.gz .tar.gz | cut -d- -f2`
+VERSION=${VERSION:-$PKGVER}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --build=$ARCH-slackware-linux \
+ --with-zlib
+
+# If you have the audit SlackBuild installed, and you'd like
+# aide to trigger an audit event on failures add:
+# --with-audit
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ra \
+ contrib \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.Slackware > $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/aide/aide.info b/system/aide/aide.info
new file mode 100644
index 0000000000..41147cb72f
--- /dev/null
+++ b/system/aide/aide.info
@@ -0,0 +1,10 @@
+PRGNAM="aide"
+VERSION="0.15.1"
+HOMEPAGE="http://sourceforge.net/projects/aide/"
+DOWNLOAD="http://sourceforge.net/projects/aide/files/aide/0.15.1/aide-0.15.1.tar.gz"
+MD5SUM="d0b72535ff68b93a648e4d08b0ed7f07"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andy Bailey"
+EMAIL="bailey@akamai.com"
+APPROVED="dsomero"
diff --git a/system/aide/slack-desc b/system/aide/slack-desc
new file mode 100644
index 0000000000..b0fc58a772
--- /dev/null
+++ b/system/aide/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aide: aide (Advanced Intrusion Detection Environment)
+aide:
+aide: A free replacement for Tripwire. It does the same things as the
+aide: semi-free Tripwire and more.
+aide:
+aide:
+aide:
+aide:
+aide:
+aide:
+aide: